import App from '@octokit/app';
import octokit from '@octokit/rest';
/**
 * Functions for creating authenticated GitHub client
 */
export declare namespace Auth {
    function createApp(appId: string, appKey: string): App;
    type InstallationParameters = {
        appId: string;
        installationId: number;
        appKey: string;
    };
    function getFromEnvironment(): InstallationParameters;
    /**
     * Creates GitHub rest client for a GitHub app installation
     */
    function createGithubAppClient(params: InstallationParameters): octokit;
}
